#!/bin/bash
#
STYLE=Ironman
THEME=IC_IRON
configdir=$(grep 'Configdir:' /usr/cs/cs.conf | cut -d ':' -f2 )
#
case $1 in
install)
	echo -e "\n\t\t\033[1;37;40mInstalliere THEME \033[1;32;40m$STYLE\033[0m"
	if [ -d $configdir >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m$configdir \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir $configdir
	fi
	if [ -d $configdir'picon' >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m$(echo $configdir'picon') \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir $configdir'picon'               
	fi
	cp $STYLE.css $configdir
	cp $THEME.tpl $configdir'picon'
	cp $STYLE.sh /usr/cs/theme
	echo -e "\t\t\033[1;37;40mInstallation von Theme \033[1;32;40m$STYLE \033[1;37;40merfolgreich\033[0m\n"
	;;
uninstall)
		echo -e "\n\t\t\033[1;37;40mDeinstalliere \033[1;32;40m$STYLE\033[0m"
		rm -f $configdir/$STYLE.css
		rm -f $configdir'picon'/$THEME.tpl
		rm -f /usr/cs/theme/$STYLE.sh
		echo -e "\t\t\033[1;37;40mDeinstallation von Theme \033[1;32;40m$STYLE \033[1;37;40merfolgreich\033[0m\n"
	;;
esac
exit 0